Configuration requise et remarques concernant la mise à niveau

Avant de procéder à la mise à niveau, prenez connaissance des informations ci-dessous afin de vous assurer que toutes les conditions requises sont remplies.
capm370
Avant de procéder à la mise à niveau, prenez connaissance des informations ci-dessous afin de vous assurer que toutes les conditions requises sont remplies.
Pour les environnements cloud, reportez-vous à la section Réhydratation des données dans un environnement cloud .
Vérification de la configuration système requise
Pour garantir la mise à niveau sans heurts de
DX Performance Management
, vérifiez que votre environnement respecte la configuration système requise. Pour connaître les exigences applicables au dimensionnement, utilisez l'outil de dimensionnement de
DX Performance Management
.
Les systèmes d'exploitation suivants ont été vérifiés :
  • SUSE Linux Enterprise Server (SLES) 12 SP2
  • Oracle Linux (OL) 7.3 (noyau compatible avec Red Hat uniquement)
Les versions suivantes de RHEL ont été vérifiées :
Une installation de RHEL propose des packages et des modules complémentaires.
DX Performance Management
prend en charge un environnement d'installation minimal pour RHEL.
  • RHEL 6.6 à 6.9
  • RHEL 6.10
  • RHEL 7.3 - 7.5
Les versions RHEL 6.8, 6.9, 7.3 ou 7.4 sont recommandées.
Les versions suivantes de RHEL ne sont pas prises en charge :
  • RHEL 5.x
  • RHEL 6.5 et antérieures
  • RHEL 7.0 - 7.2
Les composants
DX Performance Management
installés sur des versions de RHEL non prises en charge nécessitent une mise à niveau du système d'exploitation avant la mise à niveau des composants
DX Performance Management
. Vous devrez peut-être également déplacer les composants
DX Performance Management
, y compris les configurations, les personnalisations et les données d'un système à un autre. Pour plus d'informations, consultez la section Planification de la mise à niveau ou de la migration.
Configuration requise pour le package
Le programme d’installation de chaque composant requiert les packages suivants :
Composants
Packages
Tous (SLES)
  • dialog
  • mcelog
  • zip
  • unzip
Tous (RHEL 7.x, OL)
  • dialog
  • mcelog
  • zip
  • unzip
  • chrony
Tous (RHEL 6.x)
  • dialog
  • mcelog
  • zip
  • unzip
  • GLIBC++
NetOps Portal
(SLES)
  • fontconfig
  • libaio1
  • libnuma1
  • wget
NetOps Portal
(RHEL 6.x)
  • fontconfig
  • libaio
  • libaio-devel
  • numactl
  • wget
NetOps Portal
(RHEL 7.x, OL)
  • fontconfig
  • libaio
  • libaio-devel
  • numactl-libs
  • wget
Data Repository (RHEL 6.x, RHEL 7.x, SLES, OL)
  • bc
  • pstack
  • gstack
Pour RHEL 7.6, les packages
pstack
et
gstack
sont inclus dans le package
gdb
.
Chemins de mise à niveau directe
Etant donné que les versions 20.2 et ultérieures mettent à niveau le Data Repository vers HP Vertica 9.1, nous prenons en charge les mises à niveau du Data Repository directement vers la version 20.2 uniquement à partir des versions ci-dessous :
  • DX Performance Management
    3.6
  • DX Performance Management
    3.7
Pour les versions de
DX Performance Management
antérieures à la version 3.6, vous devez procéder à la mise à niveau vers la version 3.6 avant de mettre à niveau le Data Repository vers la version 20.2. La version 9.1 de Vertica est identique pour
DX Performance Management
3.7 et 20.2. Par conséquent, la mise à niveau du Data Repository n'est pas nécessaire de la version 3.7 à la version 20.2.
Pour les autres composants
DX Performance Management
, les mises à niveau vers la version 20.2 directement à partir des versions ci-dessous sont prises en charge :
  • DX Performance Management
    3.2
  • DX Performance Management
    3.5
  • DX Performance Management
    3.6
  • DX Performance Management
    3.7
Pour plus d'informations, consultez la section Planification de la mise à niveau ou de la migration.
Installations réalisées par un utilisateur sudo
Pour les systèmes ne disposant pas d'un accès à la racine, les comptes d'utilisateur sudo sont utilisés pour installer et pour exécuter le logiciel. Ajoutez le préfixe sudo aux commandes pour mettre à niveau les composants. Vérifiez que vos comptes sudo contiennent les autorisations appropriées pour chaque composant.
Pour plus d'informations, consultez les détails de configuration applicables à l'utilisateur sudo pour chaque composant :
Sauvegarde de
DX Performance Management
Avant de lancer le processus de mise à niveau, sauvegardez tous les aspects du produit :
Systèmes à petite échelle
Pour un système à petite échelle où le Data Collector partage un hôte avec le Data Aggregator, terminez la configuration afin que les composants puissent s'exécuter sur le même hôte. Pour plus d'informations, reportez-vous à la section Installation d'un système à petite échelle.
Intégrations
CA Business Intelligence
Si vous disposez d'une intégration
CA Business Intelligence
(CABI) existante, cette version de
DX Performance Management
prend en charge CABI 6.4.2 et versions ultérieures.
Après avoir mis à niveau vers une version prise en charge de CABI, vous devez réinstaller le contenu CABI. Pour plus d'informations, consultez la section Installation des tableaux de bord et des rapports CA Business Intelligence.
Versions d'ActiveMQ
Pour limiter la perte de données lorsque vous mettez à niveau les Data Collector, ActiveMQ continue à s'exécuter à moins que sa version ne soit mise à niveau.
Les versions de
DX Performance Management
suivantes correspondent aux versions d'ActiveMQ suivantes :
DX Performance Management
ActiveMQ
2.5 et versions antérieures
5.5.1
2.6, 2.7
5.11.1
2.8, 3.0, 3.1 et 3.2
5.13.1
3.5 et version ultérieure
5.15.2
Mise à jour d'Apache Karaf
La version 2.7 inclut une mise à jour d'Apache Karaf qui modifie le nom du répertoire Karaf. L'outill Karaf utilise maintenant le répertoire suivant :
répertoire_installation
/apache-karaf-2.4.3
Considérations relatives à la mise à niveau NetOps
L'interface utilisateur de
DX Performance Management
prend désormais en charge la coexistence d'unités retirées et de remplacement provenant de CA Network Flow Analysis. Si votre système est intégré à CA Network Flow Analysis, vous devez mettre à niveau CA Virtual Network Assurance avec
DX Performance Management
afin de garantir que les éléments surveillés par Data Aggregator et Virtual Network Assurance soient rapprochés correctement en cas de modifications du cycle de vie.
Révision des limitations connues
Pour vous assurer que votre système s'exécute correctement après la mise à niveau, vérifiez les limitations applicables à
DX Performance Management
3.7. Pour plus d'informations, reportez-vous à la section Limitations connues.